package com.oguerreiro.resilient.service.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;

/**
 * A DTO for the {@link com.oguerreiro.resilient.domain.DashboardComponentOrganization} entity.
 */
@Schema(description = "DashboardComponentOrganization")
public class DashboardComponentOrganizationDTO extends AbstractResilientDTO<Long> {

  private static final long serialVersionUID = 1L;

  @NotNull
  private DashboardComponentDTO dashboardComponent;

  @NotNull
  private OrganizationDTO organization;

  public DashboardComponentDTO getDashboardComponent() {
    return dashboardComponent;
  }

  public void setDashboardComponent(DashboardComponentDTO dashboardComponent) {
    this.dashboardComponent = dashboardComponent;
  }

  public OrganizationDTO getOrganization() {
    return organization;
  }

  public void setOrganization(OrganizationDTO organization) {
    this.organization = organization;
  }

  //@formatter:off
  @Override
  public String toString() {
    return "DashboardComponentOrganizationDTO{" + 
              "id=" + getId() + 
              ", version=" + getVersion() + 
           "}";
  }
//@formatter:on
}
